!*********************************
!***Module for Shared Variables***
!*********************************
	MODULE IONTOXMODEL_INTERFACEVARS
	LOGICAL ANALYSISDONE
	CHARACTER(LEN=512) STRING								!General message string variable
	REAL RELASPECT /1.0/									!Relative aspect ratio for output characters
	REAL RELSIZEHEAD /2.0/									!Relative size for title/header characters
	REAL RELSIZEAXIS /1.25/									!Relative size for axis label characters
	REAL RELSIZETIC /1.0/									!Relative size for tic label characters
	REAL RELTHICKAXIS /1.0/									!Relative thickness for axis line, tic marks
	REAL RELTHICKPLOT /1.5/									!Relative thickness for effects curve line
	REAL RELSIZESYMB /1.0/									!Relative size for plot symbols
	CHARACTER(LEN=100) HEADERSTRING							!String for output header/title
	CHARACTER(LEN=30) HEADERSTRING0							!User-specified text to start header/title
	CHARACTER(LEN=50) XLABEL/'log ApproxCa+2 (mM)'/					!String for x axis label
	CHARACTER(LEN=50) YLABEL/'log Total Ions (mM)'/				!String for y axis label
	CHARACTER(LEN=8) PARMNAME(6,5)/&							!Parameter names
		'logLCInt','logSlope','StdDev','','','',&
		'logLCMax','logSlope','logCaBrk','StdDev','','',&
		'logLCMax','logCaMin','logSharp','StdDev','','',&
		'logLCMax','logSlope','logCaBrk','StdDev','','',&
		'logLCMax','logSlope','logLCInt','StdDev','',''/
	CHARACTER(LEN=7) DATASETHEAD1/'logCa'/						!Data column header names
	CHARACTER(LEN=7) DATASETHEAD2/'logTIon'/					!Data column header names
	CHARACTER(LEN=10) MODNAME(5)/'ModelA','ModelB','ModelC','ModelD','ModelF'/!Model option (MODOPT) names
	CHARACTER(LEN=20) VARNAME/'TotIon vs ApproxCa+2'/				!Description of relationship 
	CHARACTER(LEN=30) SPECNAME								!Species Name
	INTEGER ELLIPSEFLAG/0/									!Flag for correcting Winteracter circle shape
	INTEGER IGO											!Input variable to continue from debug hold
	END MODULE IONTOXMODEL_INTERFACEVARS
